from pyrsvp.rsvpserver import RsvpServer, RsvpServerSerial
from pyrsvp.rsvptypes import *

# To emulate serial ports run the following command: 
# socat -d -d pty,raw,echo=0 pty,raw,echo=0

@RsvpServer.Command("TEST")
def test(args : dict):
    print(args)

    return RsvpServer.reply(True, [RsvpString("STATUS", "PASS")])

if __name__ == "__main__":

    srv = RsvpServerSerial("/dev/pts/8", baud=9600)
    srv.run(True)