
from pyrsvp.rsvpclient import RsvpClientTcp
from pyrsvp.rsvptypes import *


def start_cb(args : dict):
    print(args)

if __name__ == "__main__":

    client = RsvpClientTcp("localhost", 55000)

    args = [
        RsvpInteger("ARG1", 1),
        RsvpDouble("ARG2", 2.0),
        RsvpBool("ARG3", True),
        RsvpString("ARG4", "hello world"),
        RsvpVectorDouble("ARG5", {"X": 1.0, "Y": 2.0, "Z": 3.0}),
        RsvpStringVector("ARG6", ["Hello", "World"])
    ]

    try:
        print(client.send_command(""))
    except Exception as ex:
        print(f"[{type(ex).__name__}] Error: {ex}")
    